#ifdef __cplusplus
extern "C" {
  #define defaulttrue =true
#else
  #define defaulttrue
  #define bool       int
#endif

void Convert32To24Frame(const void* data, unsigned char* dest, unsigned npixels)
    __attribute__((noinline));

void Convert15To24Frame(const void* data, unsigned char* dest, unsigned npixels, bool swap_red_blue defaulttrue)
    __attribute__((noinline));

void Convert16To24Frame(const void* data, unsigned char* dest, unsigned npixels, bool swap_red_blue defaulttrue)
    __attribute__((noinline));

void Convert15To32Frame(const void* data, unsigned char* dest, unsigned npixels, bool swap_red_blue defaulttrue)
    __attribute__((noinline));

void Convert16To32Frame(const void* data, unsigned char* dest, unsigned npixels, bool swap_red_blue defaulttrue)
    __attribute__((noinline));

void Convert_I420To24Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width, bool swap_red_blue defaulttrue)
    __attribute__((noinline));

void Convert24To16Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);

void Convert24To15Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);

void Convert15To_I420Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);
void Convert16To_I420Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);
void Convert24To_I420Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);
void Convert32To_I420Frame(const void* data, unsigned char* dest, unsigned npixels, unsigned width);

#ifdef __cplusplus
}
  #undef defaulttrue
#else
  #undef defaulttrue
  #undef bool
#endif
