#ifndef bqtMutationHH

#include <vector>
#include <cstdio>

class MutationDistribution
{
    std::vector<double> k;
public:
    MutationDistribution(unsigned size, double amount)
        : k(size)
    {
      #if 1
        for(unsigned a=0; a<size; ++a)k[a] = drand48() * amount;
      #else
        double sum = 0;
        for(unsigned a=0; a<size; ++a)sum += (k[a] = drand48());
        
        double normalize = amount / sum;
        for(unsigned a=0; a<size; ++a)k[a] *= normalize;
      #endif
    }
    
    double operator[] (unsigned ind) const { return k[ind]; }
};

#endif
